Skip to content
Navigation

Get role match details

GET
https://api.sureshake.com/v2/hiring/roles/{id}/match

Path parameters

  • id
    string
    required
    format: uuid

Returns

200

Default Response

JSON
  • data
    object
    required
    • candidateId
      string
      required
    • roleId
      string
      required
      format: uuid
    • matchScore
      number
      required
      maximum: 1 · minimum: 0
    • skillMatches
      array of
      object
      required
      • skillId
        string
        required
      • skillName
        string
        required
      • level
        required
        or
        preferred
        or
        nice_to_have
        required
      • matched
        boolean
        required
      • candidateYears
        optional
        number
      • requiredYears
        optional
        number
      • evidencePaths
        optional
        array of
        object
        • pathType
          string
          required
        • skillId
          optional
          string
          or null
        • detail
          optional
          string
        • weight
          optional
          number
          or null
        • nodes
          optional
          array of
          object
          • type
            string
            required
          • id
            string
            or null
            required
      • demonstrationConfidence
        optional
        number
      • demonstrationSource
        optional
        string
      • attestationTypes
        optional
        array of
        string
    • explanation
      object
      required
      • summary
        string
        required
      • strengths
        array of
        string
        required
      • gaps
        array of
        string
        required
      • recommendations
        array of
        string
        required
    • hasApplied
      boolean
      required
    • applicationStatus
      optional
      string
    • evidencePaths
      optional
      array of
      object
      • pathType
        string
        required
      • skillId
        optional
        string
        or null
      • detail
        optional
        string
      • weight
        optional
        number
        or null
      • nodes
        optional
        array of
        object
        • type
          string
          required
        • id
          string
          or null
          required
  • meta
    optional
    object
    • timestamp
      string
      required
      format: date-time

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

409

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

503

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close